Loading...
Searching...
No Matches
Opm::Co2StoreConfig Class Reference

## Public Types

enum class | SaltMixingType { NONE , MICHAELIDES }
enum class | LiquidMixingType { NONE , IDEAL , DUANSUN }
enum class | GasMixingType { NONE , IDEAL }

## Public Member Functions

| Co2StoreConfig (const Deck &deck)
const std::vector< EzrokhiTable > & | getDenaqaTables () const
const std::vector< EzrokhiTable > & | getViscaqaTables () const
double | salinity () const
int | actco2s () const
template<class Serializer>
void | serializeOp (Serializer &serializer)
bool | operator== (const Co2StoreConfig &other) const

## Public Attributes

SaltMixingType | brine_type
LiquidMixingType | liquid_type
GasMixingType | gas_type

The documentation for this class was generated from the following files:

- opm/input/eclipse/EclipseState/Co2StoreConfig.hpp
- opm/input/eclipse/EclipseState/Co2StoreConfig.cpp